OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.EXT.Histogram

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the EXT_histogram extension, see http://www.opengl.org/registry/specs/EXT/histogram.txt.

Synopsis

- glHistogram :: GLenum -> GLsizei -> GLenum -> GLboolean -> IO ()
- glResetHistogram :: GLenum -> IO ()
- glGetHistogram :: GLenum -> GLboolean -> GLenum -> GLenum -> Ptr a -> IO ()
- glGetHistogramParameteriv :: GLenum -> GLenum -> Ptr GLint -> IO ()
- glGetHistogramParameterfv :: GLenum -> GLenum -> Ptr GLfloat -> IO ()
- glMinmax :: GLenum -> GLenum -> GLboolean -> IO ()
- glResetMinmax :: GLenum -> IO ()
- glGetMinmax :: GLenum -> GLboolean -> GLenum -> GLenum -> Ptr a -> IO ()
- glGetMinmaxParameteriv :: GLenum -> GLenum -> Ptr GLint -> IO ()
- glGetMinmaxParameterfv :: GLenum -> GLenum -> Ptr GLfloat -> IO ()
- gl_HISTOGRAM :: GLenum
- gl_PROXY_HISTOGRAM :: GLenum
- gl_HISTOGRAM_WIDTH :: GLenum
- gl_HISTOGRAM_FORMAT :: GLenum
- gl_HISTOGRAM_RED_SIZE :: GLenum
- gl_HISTOGRAM_GREEN_SIZE :: GLenum
- gl_HISTOGRAM_BLUE_SIZE :: GLenum
- gl_HISTOGRAM_ALPHA_SIZE :: GLenum
- gl_HISTOGRAM_LUMINANCE_SIZE :: GLenum
- gl_HISTOGRAM_SINK :: GLenum
- gl_MINMAX :: GLenum
- gl_MINMAX_FORMAT :: GLenum
- gl_MINMAX_SINK :: GLenum

# Functions

glHistogram :: GLenum -> GLsizei -> GLenum -> GLboolean -> IO ()

glResetHistogram :: GLenum -> IO ()

glGetHistogram :: GLenum -> GLboolean -> GLenum -> GLenum -> Ptr a -> IO ()

glGetHistogramParameteriv :: GLenum -> GLenum -> Ptr GLint -> IO ()

glGetHistogramParameterfv :: GLenum -> GLenum -> Ptr GLfloat -> IO ()

glMinmax :: GLenum -> GLenum -> GLboolean -> IO ()

glResetMinmax :: GLenum -> IO ()

glGetMinmax :: GLenum -> GLboolean -> GLenum -> GLenum -> Ptr a -> IO ()

glGetMinmaxParameteriv :: GLenum -> GLenum -> Ptr GLint -> IO ()

glGetMinmaxParameterfv :: GLenum -> GLenum -> Ptr GLfloat -> IO ()

# Tokens

gl_HISTOGRAM :: GLenum

gl_PROXY_HISTOGRAM :: GLenum

gl_HISTOGRAM_WIDTH :: GLenum

gl_HISTOGRAM_FORMAT :: GLenum

gl_HISTOGRAM_RED_SIZE :: GLenum

gl_HISTOGRAM_GREEN_SIZE :: GLenum

gl_HISTOGRAM_BLUE_SIZE :: GLenum

gl_HISTOGRAM_ALPHA_SIZE :: GLenum

gl_HISTOGRAM_LUMINANCE_SIZE :: GLenum

gl_HISTOGRAM_SINK :: GLenum

gl_MINMAX :: GLenum

gl_MINMAX_FORMAT :: GLenum

gl_MINMAX_SINK :: GLenum